function K_kensa(moji,event){
     if (event.keyCode == 13) {
        Kensa(moji);
     }
}
function Kensa(moji){

     //windowオープン
     w = window.open("searchresult.htm", "Ser", "width=305,height=500,left=500,screenX=100,scrollbars=yes");
     //htmlコード生成
     var result = new String;

     var strSearchResult = "Hakutulokset";
     var strCloseWindow = "Sulje";
     var strNotFound = "Ei löytynyt. Anna toinen avainsana.";
     var strKeywordEmpty = "Avainsanaa ei ole annettu.";
     

     result = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"><html><!-- saved from url=(0013)about:internet --><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><title>' + strSearchResult + '</title><link href="../styles/search.css" rel="stylesheet" type="text/css"><script type="text/javascript">function winOpen(url){Purl=url;window.opener.location=Purl;}</script></head><body bgcolor="#FFFFFF" leftmargin="0" topmargin="0">';

     //検索結果フラグの初期化
     var any_result = new Boolean (false);
     //出力文の初期化
     //htmlコード生成

     result += '<table width="284" border="0" cellspacing="0" cellpadding="0" ><tr><td width="284px" height="31px" style="background-image: url(\'../images/search_head.gif\');"><span style=" color:white; font-weight:bold;">　' + strSearchResult + '</span></td></tr><tr><td>';


     //検索文字のセット
     //全角英数字を半角に
     search_moji = z2h_ascii(moji);
     //正規表現の特殊文字をエスケープする
     sanitizer_RE = new RegExp("(\\.|\\?|\\*|\\+|\\^|\\$|\\{|\\}|\\(|\\)|\\[|\\]|\\\\)","g");
     search_moji = search_moji.replace(sanitizer_RE, "\\$1");

     search_RE = new RegExp(search_moji, "i");

	//文字コードに置換
     var kno=new String;
     for (i=0; i<moji.length; i++)
     {
        kno=kno+String(moji.charCodeAt(i))+"_";
     }



     //ループ処理
     for (s in bun)
     {
         //文字列を検索。
         //検索した文字列が無い場合は"-1"が返される。
         search_string = bun[s];

         ici = search_string.search(search_RE);


         //検索した文字列がある時は実行
         if (  ici > 0 ) {
         //検索結果ありのフラグをたてる
             any_result = true;
             //とびらページへのリンク作成
             //urlstr=' <p class="a"><a class="search" href="javascript:winOpen(\'' + tobi[s] + "/index.html" + "?main=../body/" + body[s] + '\')" rel="parent"> ' + dai[s] + "</a></p>\n";
             urlstr=' <p class="a"><a class="search" href="javascript:winOpen(\'' + body[s] +'?ser='+kno+ '\')" rel="parent"> ' + dai[s] + "</a></p>\n";
             
              //タブ文字の削除
              urlstr=urlstr.replace(/\t/g,"");
               
              result += urlstr;
               
             //検索文字列位置からマイナス10した文字位置を変数"ici0"に入れる
             ici0=ici-10;
             //検索文字列が先頭の場合は、"ici0"に1を入れる
             if (ici0 <=0 ) ici0=1;
             //検索結果の表示を検索結果文字列を含んで40文字とする
             ici1=40;

             //if (bun[s].length < ici0+40 ) ici1=bun[s].length-ici0-1;
             if (search_string.length < ici0+40 ) ici1=search_string.length-ici0-1;
             
             //txt=bun[s].substr(ici0,ici1);
             txt=search_string.substr(ici0,ici1);
             ici=txt.search(search_RE);
             len=moji.length;
             result += '<div class="searchypara">...'+txt.substr(1,ici-1)+"<strong>"+txt.substr(ici,len)+
                              "</strong>"+txt.substr(ici+len)+ '...</div><div align="center"><img src="../images/search_line.gif" width="259" height="5"></div>\n';
       }
    }


    if (any_result == false)
    { 
      if (moji) {
       result += '<br><div class="searchypara">'+ strNotFound+ '</div>';
      } else {
       result += '<br><div class="searchypara">' + strKeywordEmpty + '</div>';
      }
    }


      result += '\n</td></tr><tr><td height="30"></td></tr><tr><td align="center"><a href="javascript:window.close();" >' + strCloseWindow + '</a></td></tr><tr><td height="30"></td></tr></table></body></html>\n';
    w.document.open("text/html");
    w.document.write (result);
    w.document.close();
    w.focus();

 }

function z2h_ascii(src) {
    var str = new String;
    var len = src.length;
    for (var i = 0; i < len; i++) {
        var c = src.charCodeAt(i);
        if (c >= 65281 && c <= 65374 && c != 65340) {
            str += String.fromCharCode(c - 65248);
        } else if (c == 8217) {
            str += String.fromCharCode(39);
        } else if (c == 8221) {
            str += String.fromCharCode(34);
        } else if (c == 12288) {
            str += String.fromCharCode(32);
        } else if (c == 65507) {
            str += String.fromCharCode(126);
        } else if (c == 65509) {
            str += String.fromCharCode(92);
        } else {
            str += src.charAt(i);
        } 
    }
    return str;
}

